
from fastapi import Depends, HTTPException, Request
from sqlalchemy.orm import Session
from fuware.core.config import get_app_settings
from fuware.db.db_setup import generate_session

settings = get_app_settings()

async def get_auth_user(request: Request, db: Session = Depends(generate_session)):
  """verify that user has a valid session"""
  session_id = request.cookies.get(settings.COOKIE_KEY)
  if not session_id:
    raise HTTPException(status_code=401, detail="Unauthorized")
  # decrypt_user = decryptString(session_id).split(',')
  # db_user = get_user_by_username(db, decrypt_user[0])
  # if not db_user:
  #   raise HTTPException(status_code=403)
  # if not verify_password(decrypt_user[1], db_user.password):
  #   raise HTTPException(status_code=401, detail="Your username or password input is wrong!")
  return True
